package com.jy.business.corporation.model.table;

import com.jy.business.corporation.model.entity.CorporationShop;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class CorporationShopTable extends Table<CorporationShop> {

    public static CorporationShopTable corporation_shop = new CorporationShopTable();
    public static CorporationShopTable cs = corporation_shop.as("cs");

    /**
     * 店铺id
     */
    public QueryColumn id = this.field(CorporationShop::getId);

    /**
     * 店铺名称
     */
    public QueryColumn name = this.field(CorporationShop::getName);

    /**
     * 公司id
     */
    public QueryColumn corporationId = this.field(CorporationShop::getCorporationId);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(CorporationShop::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(CorporationShop::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(CorporationShop::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(CorporationShop::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(CorporationShop::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(CorporationShop::getDelFlag);

    private CorporationShopTable() {
        super(CorporationShop.class);
    }

    private CorporationShopTable(String alias) {
        super(CorporationShop.class, alias);
    }

    public CorporationShopTable as(String alias) {
        return new CorporationShopTable(alias);
    }

}
